commit:     f11c14a49e0a922825a698cf17d95e7e9fa3438a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 27 16:22:35 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov 27 16:44:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f11c14a4

x11-misc/copyq: add 13.0.0

Closes: https://bugs.gentoo.org/961941
Closes: https://bugs.gentoo.org/966352
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 x11-misc/copyq/Manifest            |   1 +
 x11-misc/copyq/copyq-13.0.0.ebuild | 102 +++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/x11-misc/copyq/Manifest b/x11-misc/copyq/Manifest
index cdc6b43471af..7ca728889c3a 100644
--- a/x11-misc/copyq/Manifest
+++ b/x11-misc/copyq/Manifest
@@ -1 +1,2 @@
+DIST copyq-13.0.0.tar.gz 3533218 BLAKE2B 
a5aab7ab06e7e0476f2ca6a311c451a990ef60b7a7f0a326d77e81d943811b820c563a98df6bed09b815401f10d33744251b15c8c210978ea6ebeda53aebf734
 SHA512 
0962ed9e1a53782e36b4c5156e4a89a3057ce1ff54016c27a1c353272c0493a01b7d4403ab92c09ba39f0a13963057fcb7408cd3e30f8f7d17472c4148e400e6
 DIST copyq-9.1.0.tar.gz 3417507 BLAKE2B 
582b532cdc0c01976fa52b01b3656902fc392ce5785145230efe7f42da8920553161e8bd44b1fcbd9ba2f7d4a8169ac017474f1dd8a34874aec1919e442326a6
 SHA512 
d87964b876de28be860a17490d9816f5224a25565f84916ee4ca39f83d2e7c5d57dafdf9f54667c43fd93d232e1e1f1f32064e6435aad6abab086398e6ae246d

diff --git a/x11-misc/copyq/copyq-13.0.0.ebuild 
b/x11-misc/copyq/copyq-13.0.0.ebuild
new file mode 100644
index 000000000000..9deb1d759b3c
--- /dev/null
+++ b/x11-misc/copyq/copyq-13.0.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake optfeature virtualx xdg
+
+DESCRIPTION="Clipboard manager with advanced features"
+HOMEPAGE="https://hluk.github.io/CopyQ/ https://github.com/hluk/CopyQ/";
+SRC_URI="https://github.com/hluk/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/CopyQ-${PV}"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="notification test X"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/wayland
+       dev-qt/qtbase:6[gui,network,widgets,xml(+)]
+       dev-qt/qtdeclarative:6
+       dev-qt/qtsvg:6
+       dev-qt/qtwayland:6
+       kde-frameworks/kguiaddons:6
+       X? (
+               dev-qt/qtbase:6=[X]
+               x11-libs/libX11
+               x11-libs/libXfixes
+               x11-libs/libXtst
+       )
+       notification? (
+               kde-frameworks/knotifications:6
+               kde-frameworks/kstatusnotifieritem:6
+       )
+"
+DEPEND="${RDEPEND}
+       X? ( x11-base/xorg-proto )
+"
+BDEPEND="
+       kde-frameworks/extra-cmake-modules:0
+       dev-qt/qttools:6[linguist]
+       dev-util/wayland-scanner
+       test? (
+               app-crypt/gnupg
+               x11-wm/openbox
+       )
+"
+
+PATCHES=(
+       # used in tests
+       "${FILESDIR}/${PN}-7.1.0-support-plugin-dir-envvar-r1.patch"
+)
+
+src_configure() {
+       local mycmakeargs=(
+               
-DPLUGIN_INSTALL_PREFIX="${EPREFIX}/usr/$(get_libdir)/${PN}/plugins"
+               -DWITH_NATIVE_NOTIFICATIONS=$(usex notification)
+               -DWITH_TESTS=$(usex test)
+               -DWITH_X11=$(usex X)
+       )
+
+       cmake_src_configure
+}
+
+my_src_test() {
+       # Don't rerun tests and more logs
+       local -x COPYQ_TESTS_RERUN_FAILED=0
+       local -x COPYQ_LOG_LEVEL=DEBUG
+
+       # Skip test that require network
+       local -x COPYQ_TESTS_NO_NETWORK=1
+
+       # Less noise from trying the wayland plugin
+       local -x QT_QPA_PLATFORM=xcb
+
+       # Make sure copyq doesn't use system installed plugins which may be 
incompatible.
+       local -x COPYQ_PLUGIN_DIR="${BUILD_DIR}/plugins"
+
+       # In case the users current system confuses the notification integration
+       unset KDE_FULL_SESSION XDG_CURRENT_DESKTOP
+
+       mkdir "${HOME}"/.gnupg || die
+
+       ebegin "Starting Openbox"
+       openbox & # upstream uses Openbox and it doesn't fail like IceWM
+       sleep 5
+       eend 0
+
+       "${BUILD_DIR}"/copyq tests
+}
+
+src_test() {
+       # local -x QT_QPA_PLATFORM=offscreen # TODO: make it work
+       virtx my_src_test
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       optfeature "encryption support" app-crypt/gnupg
+}

Reply via email to